package com.playlet.web.service.app.impl;

import com.playlet.system.domain.PlayletUserWithdrawalPassword;
import com.playlet.system.service.IPlayletUserWithdrawalPasswordService;
import com.playlet.web.service.app.IPlayletUserWithdrawalPasswordAppService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Date: 2024-03-30 13:31
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 用户提现密码Service App接口实现
 */
@Slf4j
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class PlayletUserWithdrawalPasswordAppServiceImpl implements IPlayletUserWithdrawalPasswordAppService {

    private final IPlayletUserWithdrawalPasswordService service;
    @Override
    public int insertData(PlayletUserWithdrawalPassword playletUserWithdrawalPassword) {
        return service.insertPlayletUserWithdrawalPassword(playletUserWithdrawalPassword);
    }

    @Override
    public int updateData(PlayletUserWithdrawalPassword playletUserWithdrawalPassword) {
        return service.updatePlayletUserWithdrawalPassword(playletUserWithdrawalPassword);
    }

    @Override
    public Boolean validatePassword(PlayletUserWithdrawalPassword password) {
        return service.validatePassword(password);
    }

    @Override
    public PlayletUserWithdrawalPassword selectPlayletUserWithdrawalPasswordById(Long id) {
        return service.selectPlayletUserWithdrawalPasswordById(id);
    }
}
